Skip to main content
PATCH
/
pages
/
{page_id}
/
categories
/
{id}
Update a category
curl --request PATCH \
  --url https://app.blogbowl.io/api/v1/pages/{page_id}/categories/{id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": null,
  "slug": null,
  "description": null,
  "color": null
}
'
{
  "id": 123,
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "color": "<string>",
  "page_id": 123,
  "created_at": "<string>",
  "updated_at": "<string>"
}

Path Parameters

page_id
number
required

Page ID

id
number
required

Category ID

Body

application/json
name
string

Category name

slug
string

Category slug

description
string

Category description

color
string

Category color (hex)

Response

200 - */*

Updated category

id
number
required

Category ID

name
string
required

Category name

slug
string
required

Category slug

description
string
required

Category description

color
string
required

Category color

page_id
number
required

Page ID

created_at
string
required

Creation date

updated_at
string
required

Updated date